"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var typeDefinitions = "\ntype PassportResult {\n  error: String,\n  token: String,\n  userId: String\n}\n\ntype apService {\n  name: String,\n  label: String,\n  type: String,\n  clientId: String,\n  scope: String,\n  urlStart: String\n}\n\ntype apDiscovery {\n  ROOT_URL: String,\n  authPath: String,\n  services: [ apService ]\n}\n\ntype RootQueries {\n  apDiscovery: apDiscovery\n}\n\nschema {\n  query: RootQuery\n}\n";

exports.default = [typeDefinitions];